Summary: Nde system administration tool
Name:    nde-admin
Version: 0.0.1
Release: 4%{?dist}
License: LGPLv2+
URL:     http://www.gd-linux.com
Source0: %{name}-%{version}.tar.gz
BuildRequires:  gcc, gcc-c++, cmake, nde-build-tools
BuildRequires:  nde-lib-devel, polkit-qt5-1-devel, libstatgrab-devel, glib2-devel, desktop-file-utils
BuildRequires:  kf5-kwindowsystem-devel, qt5-qtbase-devel, qt5-linguist
Requires:       polkit



%description
This package provides tools to adjust settings of the operating system
Nde is running on. Both can be launched from GUI "Configuration Center".

GUI "Time and date configuration", binary nde-admin-time, can be used
to adjust the system time of the operating system as well as the timezone.

%package l10n
Summary:        Translations for nde-admin
Requires:       nde-admin
%description l10n
This package provides translations for the nde-admin package.



%prep
%autosetup -p1



%build
CMAKE_BUILD_PATH="build-$(uname -m)"
%{cmake_nde} -S "." -B "${CMAKE_BUILD_PATH}" -DUSE_QT5=TRUE -DPULL_TRANSLATIONS=NO
/usr/bin/cmake --build "${CMAKE_BUILD_PATH}" -j$(nproc) --verbose



%install
CMAKE_BUILD_PATH="build-$(uname -m)"
DESTDIR=%{buildroot} /usr/bin/cmake --install "${CMAKE_BUILD_PATH}"

for admfile in user time; do
desktop-file-edit \
    --remove-category=Nde --add-category=X-Nde \
    --remove-category=Help --add-category=X-Help \
    --remove-only-show-in=Nde --add-only-show-in=X-Nde \
    %{buildroot}%{_datadir}/applications/%{name}-${admfile}.desktop

%find_lang nde-admin-${admfile} --with-qt
done



%files
%license COPYING
%doc AUTHORS README.md
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/polkit-1/actions/*.policy

%files l10n -f nde-admin-user.lang -f nde-admin-time.lang
%license COPYING
%doc AUTHORS README.md
%dir %{_datadir}/nde/translations/nde-admin-user
%dir %{_datadir}/nde/translations/nde-admin-time



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.1-4
- Rebuilt for loongarch release

* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-3
- small fix

* Wed Sep 02 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-2
- 应用居中显示

* Wed May 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- 组件重命名(984)


